Name:           ocaml-sha
Version:        1.12
Release:        %mkrel 7
Summary:        SHA Cryptographic Hash Functions for OCaml
License:        ISC
Group:          Development/OCaml
URL:            https://github.com/djs55/ocaml-sha/
Source0:        https://github.com/djs55/ocaml-sha/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-dune
BuildRequires:  opam
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit-devel

%description
SHA is a cryptographic hash function.
This provide an interface for OCaml program to use
SHA1, SHA256 and SHA512 functions.

SHA1 implements the second implementation that produce
a 160 bit digest from its input.
SHA256 implements newer version that produce 256 bits digest.
SHA512 produces 512 bits digest.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
dune upgrade
dune build @install --profile release

%install
mkdir -p %{buildroot}%{_libdir}/ocaml
dune install --destdir=%{buildroot}

# These files will be installed using doc and license directives.
rm -r %{buildroot}%{_prefix}/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest --profile release

%files
%doc README CHANGES.md
%license LICENSE.md
%dir %{_libdir}/ocaml/sha
%{_libdir}/ocaml/sha/META
%{_libdir}/ocaml/sha/opam
%{_libdir}/ocaml/sha/*dune*
%{_libdir}/ocaml/sha/*.cma
%{_libdir}/ocaml/sha/*.cmi
%{_libdir}/ocaml/sha/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc README CHANGES.md
%license LICENSE.md
%{_libdir}/ocaml/sha/*.a
%{_libdir}/ocaml/sha/*.cmt
%{_libdir}/ocaml/sha/*.cmti
%{_libdir}/ocaml/sha/*.cmxa
%{_libdir}/ocaml/sha/*.cmx
%{_libdir}/ocaml/sha/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.12-7.mga8
+ Revision: 1670673
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.12-6.mga8
+ Revision: 1551498
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.12-5.mga8
+ Revision: 1543752
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 tv <tv> 1.12-4.mga8
+ Revision: 1482227
- rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1.12-3.mga7
+ Revision: 1324407
- Rebuild for ocaml 4.07.1

* Tue Oct 23 2018 pterjan <pterjan> 1.12-2.mga7
+ Revision: 1324387
- Rebuild for ocaml 4.07.1

* Tue Aug 28 2018 daviddavid <daviddavid> 1.12-1.mga7
+ Revision: 1255316
- new version: 1.12
- switch to jbuilder

* Thu Dec 07 2017 tv <tv> 1.10-1.mga7
+ Revision: 1181603
- new release
- rebuild for new ocaml

* Fri Oct 06 2017 daviddavid <daviddavid> 1.9-5.mga7
+ Revision: 1169690
- patch1: honor user CFLAGS thus fixing empty debugsourcefiles.list

* Wed Feb 17 2016 umeabot <umeabot> 1.9-4.mga6
+ Revision: 964302
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9-3.mga5
+ Revision: 746390
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9-2.mga5
+ Revision: 683105
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.9-1.mga5
+ Revision: 673953
- update to 1.9

* Fri Oct 18 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 508533
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 361623
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.8-1.mga3
+ Revision: 319805
- updated to last version 1.8

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.7-3.mga3
+ Revision: 301110
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.7-2.mga3
+ Revision: 300555
- new rpm group for ocaml
- new homepage url

* Sat Jan 07 2012 blue_prawn <blue_prawn> 1.7-1.mga2
+ Revision: 192880
- imported package ocaml-sha

